/** Implémentation de la Calculette Capricieuse
 *
 * @see https://redmine.ryxeo.com/projects/leterrier-calc-cap/wiki
 * @author 2010 Jean-Louis Frucot
 * @see The GNU Public License (GPL)
 */

/**
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#include "dlgsauve.h"
#include "ui_dlgsauve.h"

DlgSauve::DlgSauve(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DlgSauve)
{
    ui->setupUi(this);
    this->setWindowTitle(trUtf8("Sauvegarder la calculette"));
}

DlgSauve::~DlgSauve()
{
    delete ui;
}

void DlgSauve::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void DlgSauve::on_buttonBox_accepted()
{
    nom=ui->leNomCalculette->text();
}
