/** Implémentation de la Calculette Capricieuse
 *
 * @see https://redmine.ryxeo.com/projects/leterrier-calc-cap/wiki
 * @author 2010 Jean-Louis Frucot
 * @see The GNU Public License (GPL)
 */

/**
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef DLGSAUVE_H
#define DLGSAUVE_H

#include <QDialog>
#include <QLineEdit>
class QLineEdit;
/** Dialogue demandant le nom "interne" de la calculette
  */
namespace Ui {
    class DlgSauve;
}

class DlgSauve : public QDialog {
    Q_OBJECT
public:
    DlgSauve(QWidget *parent = 0);
    ~DlgSauve();
    /** Le nom de la calculette où chaine vide.
      */
    QString nom;
protected:
    void changeEvent(QEvent *e);

private:
    Ui::DlgSauve *ui;

private slots:
    /** L'utilisateur a cliqué sur "Ok"
      */
    void on_buttonBox_accepted();
};

#endif // DLGSAUVE_H
